Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(246)

Issue 5903046: Change all occurences of "echo -n" to "printf" for portability (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 3 months ago by Carl
Modified:
7 years, 3 months ago
Reviewers:
Graham Percival, dak
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Change all occurences of "echo -n" to "printf" for portability

Patch Set 1 #

Total comments: 5

Patch Set 2 : Respond to David's comments #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+8 lines, -11 lines) Patch
M mf/GNUmakefile View 1 chunk +1 line, -1 line 0 comments Download
M scripts/build/install-info-html.sh View 1 1 chunk +1 line, -1 line 0 comments Download
M smart-autogen.sh View 1 1 chunk +1 line, -1 line 1 comment Download
M smart-configure.sh View 1 1 chunk +1 line, -4 lines 0 comments Download
M stepmake/bin/stepmakeise.sh View 4 chunks +4 lines, -4 lines 0 comments Download

Messages

Total messages: 5
dak
http://codereview.appspot.com/5903046/diff/1/scripts/build/install-info-html.sh File scripts/build/install-info-html.sh (right): http://codereview.appspot.com/5903046/diff/1/scripts/build/install-info-html.sh#newcode129 scripts/build/install-info-html.sh:129: printf "$name: Writing index: $index_file..." This is dangerous since ...
7 years, 3 months ago (2012-03-24 06:00:52 UTC) #1
dak
http://codereview.appspot.com/5903046/diff/1/smart-autogen.sh File smart-autogen.sh (right): http://codereview.appspot.com/5903046/diff/1/smart-autogen.sh#newcode16 smart-autogen.sh:16: printf $AUTOGEN_INPUT_CHECKSUM > $CHECKSUM_FILE On 2012/03/24 06:00:52, dak wrote: ...
7 years, 3 months ago (2012-03-24 06:34:44 UTC) #2
dak
http://codereview.appspot.com/5903046/diff/6001/smart-autogen.sh File smart-autogen.sh (right): http://codereview.appspot.com/5903046/diff/6001/smart-autogen.sh#newcode16 smart-autogen.sh:16: printf "%s" $AUTOGEN_INPUT_CHECKSUM > $CHECKSUM_FILE Remove trailing space in ...
7 years, 3 months ago (2012-03-24 16:27:31 UTC) #3
Graham Percival
LGTM, I think this could be pushed immediately?
7 years, 3 months ago (2012-03-26 06:02:09 UTC) #4
dak
7 years, 3 months ago (2012-03-26 08:07:58 UTC) #5
On 2012/03/26 06:02:09, Graham Percival wrote:
> LGTM, I think this could be pushed immediately?

I would be surprised if there was any part in it that could still benefit from
further review/countdown.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b